Package com.xebialabs.xlrelease.domain.versioning.ascode

# Class CiInfo

java.lang.Object
com.xebialabs.xlrelease.domain.versioning.ascode.CiInfo

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class CiInfo extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiInfo(String id, String ciType, String ciTypeDisplayName, String folderPath, String folderId, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CiInfo`
  `apply(ConfigurationItem ci, FolderInfo folder, scala.Option<CiInfo> parentCiInfo)`
  `static CiInfo`
  `apply(String id, String ciType, String ciTypeDisplayName, String folderPath, String folderId, String title)`
  `static scala.Option<CiInfo>`
  `apply$default$3()`
  `boolean`
  `canEqual(Object x$1)`
  `String`
  `ciType()`
  `String`
  `ciTypeDisplayName()`
  `CiInfo`
  `copy(String id, String ciType, String ciTypeDisplayName, String folderPath, String folderId, String title)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `String`
  `copy$default$4()`
  `String`
  `copy$default$5()`
  `String`
  `copy$default$6()`
  `boolean`
  `equals(Object x$1)`
  `String`
  `folderId()`
  `String`
  `folderPath()`
  `String`
  `getCiType()`
  `String`
  `getCiTypeDisplayName()`
  `String`
  `getFolderId()`
  `String`
  `getFolderPath()`
  `String`
  `getId()`
  `String`
  `getTitle()`
  `int`
  `hashCode()`
  `String`
  `id()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `title()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple6<String,String,String,String,String,String>>`
  `unapply(CiInfo x$0)`
  `CiInfo`
  `withCiId(String newId)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### CiInfo

    public CiInfo(String id, String ciType, String ciTypeDisplayName, String folderPath, String folderId, String title)

- ## Method Details

  - ### apply

    public static CiInfo apply(ConfigurationItem ci, FolderInfo folder, scala.Option<CiInfo> parentCiInfo)

  - ### apply$default$3

    public static scala.Option<CiInfo> apply$default$3()

  - ### apply

    public static CiInfo apply(String id, String ciType, String ciTypeDisplayName, String folderPath, String folderId, String title)

  - ### unapply

    public static scala.Option<scala.Tuple6<String,String,String,String,String,String>> unapply(CiInfo x$0)

  - ### id

    public String id()

  - ### ciType

    public String ciType()

  - ### ciTypeDisplayName

    public String ciTypeDisplayName()

  - ### folderPath

    public String folderPath()

  - ### folderId

    public String folderId()

  - ### title

    public String title()

  - ### withCiId

    public CiInfo withCiId(String newId)

  - ### copy

    public CiInfo copy(String id, String ciType, String ciTypeDisplayName, String folderPath, String folderId, String title)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### copy$default$4

    public String copy$default$4()

  - ### copy$default$5

    public String copy$default$5()

  - ### copy$default$6

    public String copy$default$6()

  - ### getCiType

    public String getCiType()

  - ### getCiTypeDisplayName

    public String getCiTypeDisplayName()

  - ### getFolderId

    public String getFolderId()

  - ### getFolderPath

    public String getFolderPath()

  - ### getId

    public String getId()

  - ### getTitle

    public String getTitle()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`